# collada.scene.CameraNode

class collada.scene.CameraNode(camera, xmlnode=None)

  Represents a camera being instantiated in a scene, as defined in the collada <instance_camera> tag.

  __init__(camera, xmlnode=None)

    Create a camera instance

    Parameters:

      - camera (collada.camera.Camera) – The camera being instantiated

      - xmlnode – When loaded, the xmlnode it comes from

  Methods

  `__init__`(camera[, xmlnode]) | Create a camera instance
  `load`(collada, node) | Load and return a class instance from an XML node.
  `objects`(tipo[, matrix]) | Yields a `collada.camera.BoundCamera` if `tipo=='camera'`
  `save`() | Saves the camera node back to `xmlnode`

  Attributes

  `xmlnode` | ElementTree representation of the camera node.
  `camera` | An object of type `collada.camera.Camera` representing the instantiated camera